# $Revision: 1.9 $, $Date: 2001/12/05 06:59:01 $
Summary:	PPP network monitor for Window Maker Dock
Summary(pl):	Monitor pocze ppp dla Doku Window Makera 
Name:		wmpload 
Version:	0.9.5
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://www.engr.utk.edu/~mdsmith/pload/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-distclean.patch
URL:		http://www.engr.utk.edu/~mdsmith/pload/
BuildRequires:	XFree86-devel
Requires:	ppp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
wmpload is an PPP monitor for Window Maker Dock. It can dislay totals
and current rates for both inbound and outbound data. wmpload was
designed to be portable to any platform that can run pppd and X11, but
for Linux 2.2 any network interface listed in /proc/net/dev can be
also be monitored.

%description -l pl
wmpload jest monitorem pocze PPP dla Doku Window Makera. Posiada
moliwo wywietlania caociowych i aktualnych wielkoci transferw
danych zarwno przychodzcych jak i wychodzcych. wmpload zosta
zaprojektowany w sposb umoliwiajcy uywanie go na kadej
platformie, gdzie s dostpne X11 i pppd. Dodatkowo dla Linuksa 2.2
istnieje mozliwo monitorowania kadego interfejsu sieciowego
obecnego w /proc/net/dev.

%prep
%setup -q
%patch0 -p1

%build
./configure
xmkmf -a
%{__make} CDEBUGFLAGS="%{rpmcflags} -DLINUXPROC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT

#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf README CHANGES CREDITS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/wmpload

%{_mandir}/man1/wmpload.1x.gz
#%{_applnkdir}/DockApplets/wmpload.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmpload.spec,v $
Revision 1.9  2001/12/05 06:59:01  kloczek
- release 2: added distclean patch.

Revision 1.8  2001/11/26 00:02:20  blues
- desktop is out
- fixes in files
NOTE: does not build

Revision 1.7  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.5  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.2  2000/02/05 14:22:58  pius
- added BuildRequires rules

Revision 1.1  2000/02/05 14:19:25  pius
- initial release based on spec from dist tarball

